2025-02-09  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * combinatoricsExt.tcl: Fix a typo (ticket e99fe133e61b7868a4c2f7d9c2e6cb2f164a7246)

2025-01-04  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * filtergen.tcl: Replace the existing implementation by one based on an MIT license, add Chebyshev filters
        * filtergen.man: Document the new Chebyshev filters
        * filtergen.test: Added tests for the Chebyshev filters

2024-11-19  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.tcl: Check if the x and y values for the linear model show variation

2024-11-15  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * elliptic.tcl: Correct the description of dn (pers.comm. K. Koehler)

2024-01-21  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.test: Correct mistake with srand function (pers.comm. A. Kupries)

2024-01-15  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.test: Fix the seed of the random number generator as sporadically tests would fail (pers.comm. A. Kupries)
        * math.man: Correct the description of the math::sigma procedure (ticket 30f909e66eee1aebdb6e6ea8de62a8fbf194cde7)

2023-04-03  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.man: Correction in the description of mv-wls
        * mvlinreg.tcl: Correction in the header

2022-06-05  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * rootfind.tcl: New file containing the new root-findng procedures
        * calculus.tcl: Add a "source" command for rootfind.tcl, bump version to 1.0
        * calculus.test: Add tests for the root-finding procedures
        * calculus.man: Description of the root-finding procedures
        * pkgIndex.tcl: Bump version to 1.0

2022-04-26  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * figurate.tcl: Correct the implementation of various procedures (note: consistent handling of "no objects")
        * figurate.test: Correct the test cases
        * figurate.man: Add note about zero or less objects

2021-10-31  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * figurate.tcl: Evaluate various "figurate" numbers (new package, ticket f8adb7a036)
        * figurate.test: Corresponding tests
        * figurate.man: Description of the figurate procedures
        * pkgIndex.tcl: Added the new package

2021-05-29  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * elliptic.tcl: Correct the implementation of "dn" (ticket 828109660d)
        * elliptic.test: Add proper tests for sn, cn and dn
        * special.tcl: Update the version to 0.5.2
        * pkgIndex.tcl: Updated the version of math::special to 0.5.2

2021-05-06  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * elliptic.tcl: Correct the name of "dn" (ticket f46d2826b59f540296e76586570c86d07a4a5cec)
        * special.tcl: Changed version of math::special to 0.5.1
        * pkgIndex.tcl: Changed version of math::special to 0.5.1

2021-03-14  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * decimal.tcl: Apply patch for fromstr, version 1.0.4 (ticket d159e101f329682a232aabac36c0ef6640ff8484)
        * decimal.test: Added test for this ticket
        * primes.tcl: Added procedures for returning pairs and lists of primes (ticket 0ce5a9fc98f7c752d4dabc0911dccfb513686ad2)
        * primes.test: Added tests for the new procedures
        * numtheory.man: Description of the new procedures
        * numtheory.tcl: Updated version to 1.1.3
        * pkgIndex.tcl: Updated the version for math::decimal and math::numtheory
        * fourier.man: Updated the introduction as per ticket 2695827

2021-03-07  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * various man files: Require Tcl 8.6 and TclOO

2021-01-31  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * combinatoricsExt.tcl: Extension of the collection of combinatorial procedures
        * combinatoricsExt.test: Tests for the new procedures
        * combinatorics.man: Description of the new procedures
        * pkgIndex.tcl: Added the package math::combinatorics

2021-01-03  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * changepoint.tcl: New package defining two change point detection algorithms
        * changepoint.test: Basic tests for the change point detection algorithms
        * changepoint.man: Description of the change point detection procedures
        * pkgIndex.tcl: Added the changepoint package

2021-01-01  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * probopt.tcl: New package defining a number of probabilistic optimisation algorithms
        * probopt_*.tcl: Individual source files for these algorithms
        * probopt.test: Tests for the probabilistic algorithms
        * probopt.man: Description of the algorithms (including references describing the backgrounds)
        * filtergen.tcl: Correct a small mistake (loop over data)
        * filtergen.test: Correct tests (several small mistakes)

2020-12-20  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * filtergen.tcl: New package for digital filtering
        * filtergen.man: Description of the filters package
        * filtergen.test: Simple tests for the filters package
        * pkgIndex.tcl: Added the filters package

2020-11-22  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * geometry.tcl: Source the file geometry_ext.tcl - additional procedures by Manfred Rosenberger
        * geometry_ext.tcl: File with the additional procedures
        * geometry.test: Added tests for these procedures
        * math_geometry.man: Description of these procedures
        * pkgIndex.tcl: Bumped version to 1.4.1

2020-09-20  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * geometry.tcl: The procedures [direction] and [octant] used an inconsistent definition of the direction (see https://core.tcl-lang.org/tcllib/tktview?name=fb4812f82b).
                        The changes make the results consistent with the standard mathematical definition.
                        Further change: return the common point for adjacent line segments.
        * geometry.test: Added several tests wrt the above changes
        * pkgIndex.tcl: Bumped the version of geometry to 1.4.0, as the changes above represent a minor incompatibility.
        * geometry.man: Document these changes

2020-04-17  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * primes.tcl: Correct the implementation of the totient function, as per https://core.tcl-lang.org/tcllib/tktview?name=7017dad214
        * primes.test: Added a test case for the numbers 1 to 12 for the totient function
        * pkgIndex.tcl: Bumped version of numtheory to 1.1.2

2020-02-13  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * special.tcl: Add procs for returning Euler and Bernoulli number, version to 0.5.0
        * special.test: Add tests for these new procs
        * special.man: Add documentation for these new procs
        * pkgIndex.tcl: Bumped version of special functions package to 0.5.0

2019-11-08  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.tcl: Add a new type of error message, version to 1.5.0
        * pdf_stat.tcl: Add procedures for Laplace, Kumaraswamy and negative binomial distributions, also tests for homoscedasticity
        * statistics.tcl: Corresponding tests
        * statistics.man: Documentation of the new procedures
        * pkgIndex.tcl: Bumped version of statistics package to 1.5.0

2019-11-04  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * interpolate.tcl: Correct the procedure interp-linear for another pair of corner cases (thanks to Alexandru)

2019-10-29  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * interpolate.tcl: Correct the procedure interp-linear for several corner cases (thanks to Alexandru)
        * pkgIndex.tcl: Bumped version of interpolation package to 1.1.2

2019-09-30  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * special.tcl: Add function incomplete Beta, regularized Beta and digamma
        * special.test: Add tests for the new functions
        * special.man: Describe the new functions
        * pkgIndex.tcl: Bumped version of special functions package to 0.4

2019-08-14  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * math_geometry.man: Describe several procedures that were not described yet
        * geometry.tcl: Export several procedures that were not exported yet
        * pkgIndex.tcl: Bumped version of geometry package to 1.3.1

2019-06-22  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * pdf_stat.tcl: Add procedures for triangular distribution
        * statistics.man: Describe procedures for triangular distribution
        * statistics.test: Add tests for triangular distribution
        * statistics.tcl: Bumped version to 1.3.1
        * pkgIndex.tcl: Bumped version to 1.3.1
2019-05-07  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * quasirandom.test: Add tests to deal with procedures in a different namespace
        * quasirandom.tcl: Deal with procedures in a different namespace

2019-04-24  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * quasirandom.test: Add support code
        * numtheory.tcl: Add estimation of the number of primes between two limits
        * numtheory.test: Add tests regarding the estimated number of primes

2019-04-23  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * quasirandom.tcl: New package - generate quasi-random numbers (for instance for estimating multidimensional integrals)
        * quasirandom.test: Tests for the new package
        * quasirandom.man: Documentation for the new package
        * pkgIndex.tcl: Add the new package

2019-04-18  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * misc.tcl: Add double() to calculation of mean and standard deviation in proc stats (ticket 0a030f850d4e3fc05da98aa954a6ec1b16e655d9)
        * math.test: Correct the outcome of the test for stats (consequence of ticket 0a030f850d4e3fc05da98aa954a6ec1b16e655d9)

2018-08-04  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.tcl: Source stat_wasserstein.tcl and stat_logit.tcl - for new commands
        * statistics.test: Add corresponding tests
        * statistics.man: Add description of these commands
        * pkgIndex.tcl: Bump the version to 1.3.0

2018-07-22  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * trig.tcl: Implementation of (additional) trigonometric functions - package math::trig
        * trig.test: Trst for the (additional) trigonometric functions
        * trig.man: Documentation for the (additional) trigonometric functions
        * pkgIndex.tcl: Add the new package

2018-07-19  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * math_geometry.man: Describe the new criterium

2018-06-23  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * geometry_circle.tcl: Use the mean radius as criterium for touching circles (suggestion Andreas Kupries)

2018-06-18  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * geometry_circle.tcl: New source file with circle procedures
        * geometry.tcl: Added [source] statement for the new file, bumped version to 1.3.0
        * math_geometry.man: Description of the new procedures
        * geometry.test: Tests for the new procefures
        * pkgIndex.tcl: Version of math::geometry

2018-01-26  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * pdf_stat.tcl: Add a new procedure, bootstrap
        * statistics.test: Add tests for the bootstrap procedure
        * statistics.man: Add description of the bootstrap procedure
        * statistics.tcl: Change the version number for the statistics package (1.2.0)
        * pkgIndex.tcl: Change the version number for the statistics package

2018-01-07  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * pca.tcl: New package PCA, principal components analysis
        * pca.man: DoOcumentation for the PCA package
        * pca.test: Tests for the PCA package
        * pkgIndex.tcl: Add the package require command for the PCA package
2017-10-06  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * mvlinreg.tcl: Special case for zero variation - then the correlation coefficient should be 1.0
        * statistics.test: Test that mv-ols is well behaved if the variation in the dependent variable is zero (ticket 51c03aac1a45161ab6cc59afb69d1768175e054c)
        * statistics.tcl: Bumped the version to 1.1.1
        * pkgIndex.tcl: Bumped the version of math::statistics to 1.1.1

2017-08-10  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * geometry.test: Add tests for areaPolygon
        * geometry.tcl: Correct implementation of areaPolygon (ticket cb043ecc70e0e90bff93535d1d371a78b94f5d44)
2017-05-29  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * geometry.test: Require at least Tcl 8.5
        * numtheory.man: Add description of Jacobi symbol
        * primes.tcl: Add Jacobi symbol
        * primes.test: Add tests for Jacobi symbol

2017-05-28  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * numtheory.tcl: Source primes.tcl at the end, version now 1.1
        * primes.tcl: Additonal procedures for the number theory package, includes estimates of number of primes
                      and factors (tickets 1be9ea99c9b76c8ffeff3edfb73671309bf657e8 and 734dd2ae5c89319a3b8579e48d581f9d0a3da4f4)
        * numtheory.man: Document additional procedures
        * primes.test: Tests for additional procedures
        * linalg.tcl: Correction of [conforming] procedure (ticket 776a75f14f53b5c9a06fe3f3892485a6efe1dc20)
        * linalg.test: Added tests for the [conforming] procedure
        * pkgIndex.tcl: Bumped version of numtheory to 1.1, linearalgebra to 1.1.6

2017-01-17  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.test: Add tests for test-Tukey-range and test-Dunnett
        * statistics.tcl: Add two procedures, test-Tukey-range and test-Dunnett, and auxiliary code
        * statistics.man: Describe the two new procedures
        * pkgIndex.tcl: Bumped version of the statistics module to 1.1.0

2017-01-10  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.test: Correct the tests for the test-anova-F procedure
        * statistics.tcl: Correct the namespace for the test-anova-F procedure and the comment
        * statistics.man: Correct the description of the test-anova-F procedure
        * linalg.test: Correct test solve-1.6 regarding permuted matrices
        * geometry.test: Add a simple definition of lmap for older versions of Tcl (notably 8.5)
        * interpolate.test: Correct test Interpolate-1.3 - missing keyword -result and use of existing table name

2016-08-16  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * pdf_stat.tcl: Correct the use of the argument for standard deviation, affects pdf-lognormal and cdf-lognormal
                        (ticket 002b9e8e07777425)
        * statistics.test: Correct the tests for both procedures
        * statistics.tcl: Bumped the version to 1.0.1
        * pkgIndex.tcl: Load version 1.0.1 of the statistics module

2016-08-04  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * interpolate.tcl: Correct the calculation of the weight for interpolation - cast to double
        * interpolate.test: Added test for this change
        * statistics.test: Correct the ANOVA tests (use -result)
        * linalg.test: Added test to show that permuted linear systems give the same result

2016-04-12  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * geometry.tcl: Replace the algorithm in pointInsidePolygon (ticket dc49af96c2), also add an alternative
                        method based on the winding number
        * geometry.test: Add the new test case for this ticket and adjust the outcome for an edge case (hour glass).
                        Further tests added for the alternative method and for some edge cases

2015-11-14  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.tcl: Add test-anova-F
        * pdf_stat.tcl: Add cdf-F
        * statistics.test: Add tests for test-anova-F and cdf-F
        * statistics.man: Describe test-anova-F and cdf-F
        * geometry.tcl: Implement translation, rotation, reflection and conversion to/from radians and degrees
        * geometry.test: Add tests for translation, rotation and reflection and conversion radians/degrees
        * math_geometry.tcl: Describe the new procedures
        * special.man: Correct description of Beta and Gamma functions

2015-04-29  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.tcl: Add test-Duckworth
        * pdf_stat.tcl: Add empirical-distribution
        * statistics.test: Add tests for test-Duckworth and empirical-distribution
        * statistics.man: Describe test-Duckworth and empirical-distribution

2015-04-28  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.tcl: Bump version to 1.0 - Aku found the cause of earlier problems

2015-04-26  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.tcl: Bump version to 0.9.3
                          Implemented an alternative to histogram (ticket 1502400fff)
                          Revised test-normal to use "significance" (ticket 2812473fff)
        * statistics.man: Describe histogram-alt, changes to test-normal (and t-test-mean, again "confidence")
        * pdf_stat.tcl: Correct the returned value for pdf-beta - if x is 0 or 1.

2014-09-27  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.tcl: Bump version to 0.9.2
        * statistics.test: Add tests for all pdf-* and cdf-* procedures, crude tests for random-* procedures
        * pdf_stat.tcl: Fix a typo (cdf-uniform) and fix inadvertent integer divisions should arguments be integer
        * special.tcl: Adding Christian's implementation of the inverse normal distribution function (invnorm)
        * special.test: Adding test case for this new function
        * special.man: Describing invnorm plus a correction in the overview (ierfc_n is not implemented)
        * pkgIndex.tcl: Bumping version of math::special package to 0.3.0, of math::statistics to 0.9.2

2014-09-26  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * pdf-stat.tcl: Solve ticket UUID a6d69107d5, a typo in the pdf-uniform procedure
        * pkgIndex.tcl: Bumping version of math::statistics package to 0.9.1

2014-09-21  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * bigfloat2.tcl: Solve ticket UUID 3309165, different implementation of isInt than suggested
        * bigfloat2.test: Added several tests for the new implementation of isInt
        * optimize.tcl: Solve ticket UUID 3193459, as suggested.
        * optimize.tcl: Solve a problem with the detection of the exceptions in solving linear programs. Version 1.0.1
        * optimize.test: Added tests to distinguish infeasible and unbounded linear programs
        * optimize.test: Added test for ticket UUID 3193459
        * pkgIndex.tcl: Bumping version of math::optimize package to 1.0.1, bigfloat2 to 2.0.2

2014-08-21  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * calculus.tcl: Bumping version to 0.8
        * pkgIndex.tcl: Bumping version of math::calculus package to 0.8

2014-08-21  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * calculus.man: Describe the qk15 procedure implementing Gauss-Kronrod 15 points quadrature rule
        * calculus.tcl: Implement the qk15 procedure for Gauss-Kronrod quadrature
        * calculus.test: Provide a simple test procedure for Gauss-Kronrod quadrature

2014-08-17  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistcs.man: Add missing documentation for random-poisson procedure

2014-01-30  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * geometry.tcl: Corrected edge case in pointInsidePolygon (by closer checking
                        intersection of line segments; ticket c1ca34ead3).
                        Also introduced a procedure calculateDistanceToPolygon to solve ticket bff902be35
        * math_geometry.man: Description of new procedure pointInsidePolygon
        * geometry.test: Added test cases based on both tickets
        * pkgIndex.tcl: Bumped version to 1.1.3

2014-01-19  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * stat_kernel.tcl: Corrected use of bandwidth
        * statistics.test: Added margin per kernel - not quite satisfactory in the case of the uniform kernel

2014-01-18  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * statistics.tcl: Added stat_kernel.tcl
        * stat_kernel.tcl: Implements a straightforward kernel density estimation procedure
        * statistics.man: Describe the kernel denstity estimation procedure, moved the description of several
                          tests to the general section
        * statistics.test: Added three tests for the kernel density estimation (note: one result is a bit troublesome)
        * pkgIndex.tcl: Bumped version of statistics package to 0.9

2013-12-20  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * interpolate.tcl: [Ticket 843c2257d2] Added special case for points coincident with the data points
        * interpolate.test: [Ticket 843c2257d2] Added test case for coincident points

2013-12-17  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * decimal.man: Fixed missing requirement of the package
        * machineparameters.man: itself.

2013-11-03  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * calculus.tcl: Corrected calculation of corrector in heunStep (now version 0.7.2)
        * pkgIndex.tcl: [Ticket b25b826973] Bumped version of interpolate to 1.1
        * interpolate.tcl: [Ticket b25b826973] Corrected inconsistency in use of tables for 1D interpolation
        * interpolate.test: [Ticket b25b826973] Adjusted the test for 1D interpolation
        * interpolate.man: [Ticket b25b826973] Added an example for 1D interpolation and note on the
                           incompatibility

2013-03-05  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.tcl: [Ticket 05d055c2f5]: Added weights to histogram
        * statistics.man: [Ticket 05d055c2f5]: Documented weights to histogram
        * statistics.test: [Ticket 05d055c2f5]: Added test for weights to histogram
        * pkgIndex.tcl: [Ticket 05d055c2f5]: Bumped to version 0.8.1

2013-03-11  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * math.test (math-12.1): [Bug 3606620]: Disabled debug output
        command lifting SafeBase error information into the test log.

2013-03-05  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * decimal.tcl: Some rounding issues fixed (by Mark Alston)
        * pkgIndex.tcl: Bumped version of decimal package to 1.0.3

2013-02-08  Andreas Kupries  <andreask@activestate.com>

        * decimal.man: Fixed leading namespace qualifier in label.
        * symdiff.man: Fixed missing short package title.

2013-02-01  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.15 ========================
        *

2012-06-25  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.tcl: Add procedures for Wilcoxon test and Spearman
          rank correlation to the export list

2012-06-24  Arjen Markus <arjenmarkus@users.sourceforge.net>
        * decimal.man:     Correct documentation (namespace) for decimal package
        * statistics.tcl:  Add Wilcoxon test and Spearman rank correlation
          Bumped version to 0.8
        * statistics.test: Add test cases for Wilcoxon test and Spearman rank correlation
        * statistics.man:  Describe procs for Wilcoxon test and Spearman rank correlation
        * wilcoxon.tcl:    Added this file - contains implementation of the new procs

2011-12-13  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.14 ========================
        *

2011-11-09  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * decimal.test: More fixes, now the test succeeds as
          well. 'Simply' required the proper conversions for arguments and
          results as most commands do not take regular numbers.

2011-11-07  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * decimal.test: Fixed the testsuite to be at least properly
          executable, i.e. bad file names and broken Tcl syntax. The
          single test still but that sahall be a problem for the actual
          maintainer.

2011-08-09  Andreas Kupries  <andreask@activestate.com>

        * decimal.man: [Bug 3383039]: Fixed syntax errors in the
        documentation of math::decimal, reported by Thomas Perschak
        <tombert@users.sourceforge.net>

2011-03-29  Andreas Kupries  <andreask@activestate.com>

        * linalg.man: Documentation tweak, added keyword 'matrix'.

2011-01-24  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.13 ========================
        *

2011-01-12  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * symdiff.test: Fixed setup (added std boilerplate).
        * pkgIndex.tcl: Moved symdiff to correct section, requires 8.5,
        not 8.4.

2010-05-24  Andreas Kupries  <andreask@activestate.com>

        * geometry.man: [Bug 3110860]: Renamed this file to avoid the
        * math_geometry.man: conflict with Tcl 8.6's new geometry
          manpage. Thanks to Reinhard  Max for reporting.

2010-10-19  Kevin B. Kenny  <kennykb@acm.org>

        * symdiff.man:
        * symdiff.tcl:      Added a math::calculus::symdiff package that
        * symdiff.test:     performs symbolic differentiation of Tcl math
        * pkgIndex.tcl:     exprs.

2010-09-27  Lars Hellstr\"om  <lars_h@users.sourceforge.net>

        * numtheory.test: Fixed bug #3076576.
        * numtheory.dtx:

2010-09-22  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * kruskal.tcl:      Added header to the file

2010-09-21  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * kruskal.tcl:      One-sided test according to Kruskal-Wallis
        * statistics.tcl:   Added test Kruskal-Wallis
        * statistics.man:   Describe Kruskal-Wallis
        * statistics.test:  Added simple test case
        * pkgIndex.tcl:     Bumped version to 0.7.0

2010-09-20  Lars Hellstr\"om  <lars_h@users.sourceforge.net>

        * numtheory.dtx:    New package math::numtheory (v1.0)
        * numtheory.man:    with command math::numtheory::isprime.
        * numtheory.stitch: See numtheory.dtx for all the gory
        * numtheory.tcl:    details of the implementation of
        * numtheory.test:   package and tests.
        * pkgIndex.tcl:

2010-08-22  Andreas Kupries  <andreask@activestate.com>

        * linalg.tcl: Corrected bug #3036124 (shape of U matrix)
          - should probably include an extra command for
          truncated output of S and V

2010-05-24  Andreas Kupries  <andreask@activestate.com>

        * geometry.man: A bit more commands, bumped to version 1.1.2.
        * geometry.tcl:
        * pkgIndex.tcl:

2010-04-06  Andreas Kupries  <andreask@activestate.com>

        * geometry.tcl (findLineIntersection): Fixed numerical
        * geometry.man: instability in the algorithm by replacing
        * geometry.test: it with Kevin's parametric code. Updated
        * pkgIndex.tcl: documentation, testsuite. Bumped to
          version 1.1.1.

2010-04-05  Andreas Kupries  <andreask@activestate.com>

        * geometry.tcl: Extended API with a number of basic point
        * geometry.man: and vector operations (+, -, scale, ...).
        * geometry.test: Updated documentation, testsuite.
        * pkgIndex.tcl: Bumped to version 1.1.

2010-01-17  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * fuzzy.tcl: [Bug 2933130]. Fixed procedure tlt
        * fuzzy.test: [Bug 2933130]. Added test for this bug
        * pkgIndex.tcl: Version increased to 0.2.1

2009-12-07  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.12 ========================
        *

2009-12-04  Andreas Kupries  <andreask@activestate.com>

        * math.man: [Bug 1998628]. Accepted fix by Arjen Markus, with
        * math.tcl: modifications. Extended testsuite. Bumped version
        * math.test: to 1.2.5.
        * pkgIndex.tcl:

2009-11-17  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.tcl: Bumped version to 0.6.3
        * geometry.tcl: Solved bug #1623653 - corner case in pointInsidePolygon
        * geometry.test: Added two tests for the corner case
        * pkgIndex.tcl: Updated version numbers

2009-11-16  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * pdf_stat.tcl: Fix bug #2897419 - very small numbers with beta
          distribution

2009-10-22  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * interpolate.tcl: Fix bug #2881739 in cubic interpolation

2009-09-28  Andreas Kupries  <andreask@activestate.com>

        * linalg.test: Switched the test setup back to 'regular' and also
          fixed the version information in the non-regular branch of the
          setup.

2009-08-21  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.tcl: Remove a local variable from interval-mean-stdev

2009-08-12  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.tcl: Solve bug 2835712 regarding interval-mean-stdev

2009-07-13  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.tcl: Implement more robust computation of basic statistics
              Fixes bug 2812832; simplified the code (as indicated by akupries)
        * statistics.test: Added test for this more robust computation
        * linalg.tcl: Corrected dim and shape procedures for scalars (version now 1.1.3;
              Fixes bug 2818958
        * linalg.test: Corrected result of dim and shape procedures for scalars
        * pkgIndex.tcl: Updated version numbers

2009-03-20  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * linalg.tcl: Solving bugs with test matrices (bugs #2695513, 2695564, 2695618)
        * linalg.test: Added test cases for border matrix and Wilkinson W- and W+
        * pkgIndex.tcl: Version of linear algebra package increased to 1.1.1

2009-02-18  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * machineparameters.man: Replaced deprecated markup (bug #2597454)

2009-02-06  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * pkgIndex.tcl: Added machineparameters package
        * machineparameters.tcl: New package by Michael Baudin
        * machineparameters.test: Test for the new package
        * machineparameters.man: Man page for the new package

2008-12-12  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.11.1 ========================
        *

2008-12-01  Andreas Kupries  <andreask@activestate.com>

        * linalg.man: New commands in last checkin means extended API.
        * linalg.tcl: Bumping minor version, to 1.1.
        * pkgIndex.tcl:

2008-12-01  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * linalg.man: changed int to integer, documented new procedures by Michael Baudin
        * linalg.test: incorporated new tests by Michael Baudin
        * linalg.tcl: incorporated new procedures, extensions and several bug fixes by Michael Baudin

2008-11-09  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * optimize.man: corrected names of minimum and maximum procedures

2008-10-16  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.11 ========================
        *

2008-10-06  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * calculus.tcl: Bumped version to 0.7.1, for the commit on
        * calculus.man: 2008-06-25 by Arjen. Was a bugfix, should
        * pkgIndex.tcl: have bumped the version then.

2008-08-12  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * special.tcl: bumped version to 0.2.2 (because of previous change)
        * pkgIndex.tcl: bumped version of "special" to 0.2.2

2008-08-11  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * special.tcl: Replaced old algorithm for erf() and erfc(). Bug
         #2024843.

2008-07-01  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * roman.man: corrected wrong mark-up command

2008-06-25  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * calculus.tcl: solved problem with solveTriDiagonal (bug 2001539)
        * calculus.tcl: repaired hidden problem with boundaryValueSecondOrder
        * calculus.test: added test case for solveTriDiagonal

2008-05-19  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * roman.man: correct namespace ::math::roman, was ::roman.

2008-03-24  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * pkgIndex.tcl: Synchronized indexed and provided versions of
        * bigfloat.man: math::bigfloat.

2008-03-22  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * constants.test: Fixed declaration of package under test, was
          wrongly declared as support.

2008-03-14  Andreas Kupries  <andreask@activestate.com>

        * statistics.man: Cleaned up a bit, replaced deprecated [nl] usage
          with [para].

2008-02-27  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * linalg.test (eigenvectors-1.0): Moved brace to correct location.

2008-02-27  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * linalg.test (eigenvectors-1.0): Fixed missing closing brace.

2008-02-21  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * elliptic.tcl: Error in expression (missing ))

2008-01-18  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.man: Update manual; added beta distribution
        * statistics.test: Added tests for beta distribution
        * pdf-stat.tcl: Added procedures for beta distirbution
                        (Improved implementation by Eric K. Benedict)

2008-01-13  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.man: Update manual; added description of various new procedures
        * statistics.test: Added tests for chi square and Student's t distributions
        * pdf-stat.tcl: Added procedures for chi square and Student's t distributions
                        (Next batch of feature requests by Eric K. Benedict)

2008-01-11  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.man: Update manual; added description of various new procedures
        * statistics.test: Added tests for Gamma and Poisson distributions
        * pdf-stat.tcl: Added procedures for Gamma and Poission distributions
                        (Feature requests by Eric K. Benedict)

2007-12-22  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * linalg.tcl: Corrected bug #1805912 (eigenvectorsSVD) by means of path #1852519
        * linalg.test: Added simple test case for eigenvectorsSVD
        * pkgIndex.tcl: Increased version number for linear algebra (1.0.3 now)

2007-12-11  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * special.tcl: Corrected implementation of Gamma
          function (reported by EKB)

2007-09-12  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.10 ========================
        *

2007-09-11  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * linalg.test: Corrected test that was linked to SF bug 1784637
        * linalg.tcl: Corrected case in matmul that was linked to SF bug
          1784637

2007-09-06  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * linalg.tcl: Solved bug with matmul (SF bug 1784637)

2007-08-21  Andreas Kupries  <andreask@activestate.com>

        * math.test (matchTolerant): Changed to not use tcltest 2.0+
          features in a testsuite for tcltest 1.0. Rewritten the tests
          using this custom comparison command to be tcltest 1.0
          compliant.

        * pkgIndex.tcl: With permission from Arjen moved math::statistics
        * bessel.test: into the 8.4 section. Due to its new dependency on
        * elliptic.test: math::linearalgebra via multi-variate linear
        * statistics.test: regression it now depends on Tcl 8.4+ too.
        * special.test: Updated the tests using math::statistics for this
          as well.

2007-08-20  Andreas Kupries  <andreask@activestate.com>

        * bessel.test: Added missing dependency on math::linearalgebra.
        * elliptic.test: (For math::statistics). This not fully ok yet,
          the Tcl core requirements are out of whack too.

2007-07-10  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * statistics.tcl: Corrected a spelling mistake in name of Zachariadis
        * linalg.test: Removed temporary reference to ferri/ferri.test

2007-07-07  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * math.test: Added a small tolerance for two tests
        * statistics.man: Added pvar and pstdev, difference between var and pvar documented
        * statistics.tcl: Added population stdev and variance
        * statistics.test: Added tests for pvar and pstdev
        * special.test: Added dependency on math::linearalgebra

2007-06-26  Kevin B. Kenny  <kennykb@acm.org>

        * elliptic.tcl: Removed a spurious 'puts' in the computation of
        Jacobian elliptic functions.
        * special.tcl: Advanced patchlevel to 0.2.1.

2007-03-22  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * bigfloat.man: Fixed all warnings due to use of now deprecated
        * bignum.man:   commands. Added a section about how to give
        * calculus.man: feedback.
        * combinatorics.man:
        * constants.man:
        * fourier.man:
        * fuzzy.man:
        * geometry.man:
        * interpolate.man:
        * linalg.man:
        * math.man:
        * optimize.man:
        * polynomials.man:
        * qcomplex.man:
        * rational_funcs.man:
        * roman.man:
        * romberg.man:
        * special.man:
        * statistics.man:

2007-03-20  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * mvlinreg.tcl    : changed the API to make it more robust (no eval needed)
        * statistics.man  : updated description of mv-ols and mv-wls
        * statistics.test : updated the API

2007-03-18  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * statistics.man  : updated description of tstat
        * statistics.test : converted the example into a test

2007-03-05  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * mvlinreg.tcl   : polished the source code (adding standard headers)
                    Still to do: test cases

2007-02-27  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * statistics.man : added description of multivariate linear regression procedures
                    (contribution by Eric Kemp-Benedict)
        * statistics.tcl : sources "mvlinreg.tcl" now
        * mvlinreg.tcl   : original source code from Eric, still needs some polishing
                    (the test case needs to be integrated too)

2006-11-06  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * fuzzy.test : fixed a dependency on Tcl 8.4 behaviour in one test case
                       (the value of tcl_precision)

2006-10-03  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.9 ========================
        *

2006-09-26  Andreas Kupries  <andreask@activestate.com>

        * bigfloat.tcl: Bumped version to 1.2.1
        * pkgIndex.tcl:

2006-09-26  Stephane Arnold <sarnold75@users.sourceforge.net>
        * bigfloat.man : fixed a bug in [math::bigfloat::tostr]
        * bigfloat.tcl : when a number is close to zero,
        * bigfloat.test  it takes the precision into account,
        * bigfloat2.tcl  so instead of getting '0' we get '0.e-4'.
        * bigfloat2.test [math::bigfloat::iszero] is not impacted

2006-09-20  Andreas Kupries  <andreask@activestate.com>

        * math.tcl: Bumped version to 1.2.4
        * math.man:
        * qcomplex.man: Bumped version to 1.0.2
        * qcomplex.tcl:
        * fourier.man: Bumped version to 1.0.2
        * fourier.tcl:
        * interpolate.man: Bumped version to 1.0.2
        * interpolate.tcl:
        * linalg.tcl: Bumped version to 1.0.1
        * linalg.man:
        * pkgIndex.tcl:

2006-09-19  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * linalg.tcl: removed print statement (left over from testing leastSquares)

2006-09-15  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * linalg.man: added remark on name conflict with Tk
                      added missing descriptions of several procedures
        * linalg.tcl: added crossproduct to the exported commands
                      implemented normalizeStat
                      corrected error in leastSquaresSVD
        * linalg.test: added test for normalizeStat
                       added test for leastSquaresSVD

2006-06-13  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * pdf_stat.tcl: check for existence of argv0 - child interpreters
        * plotstat.tcl: ditto
        * statistics.tcl: ditto

2006-03-29  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * math.man: Fixed name of romberg package, resorted the list,
          slight reformatting of items with regard to right margin.

2006-03-28  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * math.man: Added a bit of markup to the package list for better
          cross-referencing.

        * statistics.man: Fixed unclosed bracket.

2006-03-28  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * calculus.tcl (integral2D and integral3D): Fixed a bug concerning
          intervals that do not start at 0.0
        * calculus.tcl (integral2D and integral3D): Added accurate versions
          for integration over rectangles and blocks (exact for polynomials
          of degree 3 or less).
        * statistics.tcl (test-normal): Added implementation of normality test
          by Torsten Reincke (as it appeared on the Wiki)

2006-03-02  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * pkgIndex.tcl: Resynchronized the ifneeded/provide version
          information for math::bignum.

2006-02-21  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * linalg.tcl (matmul): Fixed [SF Tcllib Bug xxxxxxx]. The bug
          concerns the possibility of using row vectors. Because I
          did not think they were possible/practical, I regarded all
          vectors as column vectors or row vectors whenever suitable.
          Row vectors are however practical, so I needed to add these
          cases, at least for [matmul].

2006-02-13  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * bignum.tcl (rshift): Fixed [SF Tcllib Bug 1098051]. (Solution
          provided by Lars Hellstrom. Added tests for both rshift and lshift)

2006-01-30  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * bignum.tcl (testbit): Fixed [SF Tcllib Bug 1085562]. Thanks to
          aubinroy <aroy@users.sf.net> for the report, bugfix, and his
          patience while waiting for us to apply the fix.
        * bignum.test: Extended the testsuite.

2006-01-29  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * bigfloat.test: Fixed use of duplicate test names.
        * calculus.test:
        * linalg.test:
        * statistics.test:

2006-01-23  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * bessel.test: More boilerplate simplified via use of test support.
        * bigfloat.test:
        * bigfloat2.test:
        * bignum.test:
        * calculus.test:
        * combinatorics.test:
        * constants.test:
        * elliptic.test:
        * fourier.test:
        * fuzzy.test:
        * geometry.test:
        * interpolate.test:
        * linalg.test:
        * math.test:
        * optimize.test:
        * polynomials.test:
        * qcomplex.test:
        * roman.test:
        * special.test:
        * statistics.test:

2006-01-19  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * bessel.test: Hooked into the new common test support code.
        * bigfloat.test:
        * bigfloat2.test:
        * bignum.test:
        * calculus.test:
        * combinatorics.test:
        * constants.test:
        * elliptic.test:
        * fourier.test:
        * fuzzy.test:
        * geometry.test:
        * interpolate.test:
        * linalg.test:
        * math.test:
        * optimize.test:
        * polynomials.test:
        * qcomplex.test:
        * roman.test:
        * special.test:
        * statistics.test:

2006-01-11  Andreas Kupries <andreask@activestate.com>

        * fourier.tcl (::math::fourier::lowpass):  Changed package
        * fourier.tcl (::math::fourier::highpass): reference
          "complexnumbers" to the correct "math::complexnumbers".

2006-01-10  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * linalg.tcl: Fixed bug in procedure angle
                      Added a procedure crossproduct
        * linalg.man: Added documentation on crossproduct

2005-11-13  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat2.tcl : bug fix in trigonometry, functions may have
          return a number more precise than the input
        * bignum.tcl : a little performance enhancement by avoiding
          the use of [upvar] in [_treat]
        * bigfloat2.test : minor changes
        * bigfloat.man : rewriting 40% of the documentation that
          now covers both 1.2 and 2.0 versions

2005-11-14  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * pkgIndex.tcl: Reworked the extended package index a bit to keep
          the general existing structure.

2005-11-13  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat2.tcl,bigfloat2.test : two files
          forming the math::bigfloat package for Tcl 8.5
        * pkgIndex.tcl : updated to handle the different Tcl versions
          Tcl 8.4 still has math::bigfloat 1.2

2005-11-04  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * roman.test: removed extraneous messages

2005-10-26  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * qcomplex.tcl: error in the computation of the complex
                        cosine. Found by Oscar Andreas Lopez.

2005-10-21  Andreas Kupries <andreask@activestate.com>

        * interpolate.test: Reduced requirement for struct down to
        * interpolate.tcl:  struct::matrix, as that is the only structure
          used by this package. This means that we are loading 272 KB less
          (344 KB - 72 KB). Also fixed the testsuite header code.

2005-10-10  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * fixed one bug regarding cov in misc.tcl

2005-10-06  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.8 ========================
        *

2005-10-05  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * pkgIndex.tcl: Updated all version numbers to be in sync with the
        * bignum.man:   changes made to the various packages in this module.
        * bignum.tcl:
        * calculus.man:
        * calculus.tcl:
        * combinatorics.man:
        * constants.man:
        * constants.tcl:
        * fourier.man:
        * fourier.tcl:
        * interpolate.man:
        * interpolate.tcl:
        * math.man:
        * math.tcl:
        * polynomials.man:
        * polynomials.tcl:
        * qcomplex.man:
        * qcomplex.tcl:
        * rational_funcs.man:
        * rational_funcs.tcl:
        * special.man:
        * special.tcl:
        * statistics.man:
        * statistics.tcl:

2005-10-04  Andreas Kupries <andreask@activestate.com>

        * geometry.man: Fixed bad reversals of geometry version
        * geometry.tcl: numbers. Bumped version to reflect the
          documentation change.

        * pkgIndex.tcl: Added new 'math::roman' to package index.

2005-10-04  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Added roman numerals package by Kenneth Green
        * geometry.man:  Completed the description of the
                         current procedures

2005-09-28  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * optimize.man:  Removed note on linear programming. It is
                         working now (not fully, perhaps though)

2005-09-20  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * pkgIndex.tcl:  Declared 8.4 dependency of packages
        * optimize.man:  math::optimize, math::calculus, and
        * optimize.tcl:  math::interpolate in package index, code, and
        * optimize.test: testsuite.
        * interpolate.man:
        * interpolate.tcl:
        * interpolate.test:
        * calculus.man:
        * calculus.tcl:
        * calculus.test:

2005-09-19  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * pkgIndex.tcl: Declared 8.4 dependency of linalg package in
        * linalg.tcl:   package index, code, and testsuite.
        * linalg.test:

        * bessel.test:   Fixed a number of typos in the abort messages.
        * bigfloat.test: Indented abort messages for better visibility
        * bignum.test:   in the log.
        * calculus.test: Declared 8.4 dependency of bignum/bigfloat in
        * constants.test: package index, code, and testsuite.
        * elliptic.test: Removed 8.4isms from testsuites for packages
        * fourier.test:  allowing use with Tcl 8.2+
        * interpolate.test:
        * linalg.test:
        * math.test:
        * optimize.test:
        * polynomials.test:
        * qcomplex.test:
        * special.test:
        * statistics.test:
        * bigfloat.tcl:
        * bignum.tcl:
        * pkgIndex.tcl:

2005-09-09  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat.tcl : went back to the old algorithm to compute Pi
          after having done much benchmarks

2005-09-06  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat.tcl : new and faster algorithm to compute Pi

2005-08-31  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat.tcl : added many comments and fixed some minor bugs
          (possibly following to inexact last digits)
        * bigfloat.test : fixed a bug that causes the version number
          of some tests to be replaced by 1.0 or by the string "version"

2005-08-30  Andreas Kupries <andreask@activestate.com>

        * bignum.tcl: Fixed code exporting the bignum commands, it was
          done in the wrong namespace. This fixes [Tcllib SF Bug 1276680].

2005-08-29  Kevin Kenny  <kennykb@acm.org>

        * combinatorics.test (combinatorics-2.7,3.10): Revised a few test cases
        * math.test (math-7.4):                        to handle Infinity
          in the interim (pre-TIP#237) 8.5 configuration as well as
          kennykb-numerics-branch.

2005-08-29  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Fixed bug #1272910: due to the different rounding
          of 0.5 in Tcl 8.5, the Quantiles-1.0 test failed.
          Using different levels steers the test away from
          this odd edge case.

2005-08-29  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat.tcl : added comments to make code easier to understand

2005-08-28  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat.tcl : many optimizations around the fromstr
          command and all kind of constants (mainly integer)
        * bigfloat.test : updated test labels to more significant labels
        * Bug #1272836 : the math round() function has changed
          in Tcl 8.5a4 (intentionally) - now the round tests
          do no more rely upon this function.

2005-08-26  Stephane Arnold <sarnold75@users.sourceforge.net>

        * Feature Request 1261101 : automatically convert
          the strings "0" and "1" to bignums
        * modified files : bignum.man,bignum.tcl,bignum.test
        * Bug 1273403 : fixed in bigfloat.test (all tests shared
          the same version number)

2005-08-25  Kevin Kenny  <kennykb@acm.org>

        * combinatorics.test (combinatorics-2.7,3.10): Revised a few test cases
        * math.test (math-7.4):                        to handle Infinity
        as well as "overflow" and "division by zero" as an error result.

2005-08-24  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * optimize.man: Corrected a few typos

2005-08-23  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat.tcl : Fixed a small bug in [fromstr].
        * bigfloat.man : Trying to make it more clear about accuracy
                        and interval computations.

2005-08-17  Kevin Kenny  <kennykb@acm.org>

        * optimize.tcl (nelderMead):     Added ::math::optimize::nelderMead,
        * optimize.test (nelderMead-*):  an implementation of multidimensional
        * optimize.man:                  optimization using the downhill
        simplex method of Nelder and Mead.  (Addition includes test cases
        and rudimentary documentation.)
        * exponential.tcl: Changed the demo script not to error out.

2005-08-09  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Added the linear programming routines that were
          described in the man page, but not actually there
        * Updated the test file and man page for this
        * Updated the pkgIndex.tcl file (optimize now at 1.0)

2005-08-05  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat.tcl : Fixed a bug in [fromstr] when a number
          began with '+' ; another bug, in [fromdouble], when
          a number began with '+' or '-'.
        * bigfloat.test : Added tests for fromdouble.

2005-08-04  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * bigfloat.man: Replaced a number of ?...? occurences to markup
          optional arguments with the more correct [opt ...].

2005-08-04  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat : Fixed a bug in [fromstr] when a number
          with an exponent beginning by 0 was given (like 1.1e+099)

        * bigfloat : Added a [fromdouble] new proc.

2005-08-01  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Changed the credits for Ed Hume at his request
          (anti-spam measure)

2005-07-26  Stephane Arnold

        * Changed in many places : '[pi $precision]'
          to '[pi $precision 1]' in which $precision is treated
          as binary digit length (instead of decimals)
          since the internal representation of the mantissa is binary

2005-07-01  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat.man,bigfloat.test,bigfloat.tcl : updated
          copyright 2005
        * bigfloat.man : put the correct package version (1.2)

2005-07-01  Stephane Arnold <sarnold75@users.sourceforge.net>

        * bigfloat.tcl : new [int2float] conversion procedure
        * bigfloat.test : updated test suite for the new procedure
        * bigfloat.man : updated documentation and added a new EXAMPLES
                         section

2005-06-23  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * bigfloat.tcl: Removed the namespace import statement
        * bigfloat.test: Explicitly import the bigfloat procedures
        * qcomplex.test: Force the import of complex number procedures
                         (conflict with bigfloat's sqrt)

2005-06-22  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * statistics.test: Corrected typos in the test suite for the new
          commands.

2005-06-22  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.tcl/test/man:
          Added several methods: 2x2 tables and two quality
          control charts

        * elliptic.tcl/man:
          Added functions cn, dn and sn. Test cases still
          needed.

2005-06-07  Kevin Kenny <kennykb@acm.org>

        * constants.tcl: Corrected ::math::constants::find_huge
                         and ::math::constants::find_tiny to not go
                         into an infinite loop when overflow is not an error.

2005-05-04  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * Removed reference to argv0 in optimize.tcl (in response
          to a complaint by Bob Techentin)

2005-04-25  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * Corrected documentation of math::product (was math::prod)

2005-03-16  Andreas Kupries <andreask@activestate.com>

        * bigfloat.tcl: Added package require math::bignum. If we use the
          package we should load it as well.

        * rational_funcs.tcl: Redone entry '2004-11-22 Andreas Kupries
          <andreask@activestate.com>'. Somehow the source command came
          back.

2005-03-11  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * Corrected problem with exponential_Ei - doubly defined

2005-01-14  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * Added version 1.0 of Stephane Arnold's bigfloat package
          (newer versions will come later on)

2005-01-10  Andreas Kupries <andreask@activestate.com>

        * bignum.tcl:  Integrated [Tcllib SF Bug 1093414]. Basic bit
        * bignum.test: operations (and, or, xor) on big numbers. Correct
        * bignum.man:  operation is limited to positive numbers (including
          zero). The basic code was provided by Aamer Aakther
          <aakther@users.sourceforge.net>, modifications of docs, and
          small testsuite by myself.

2005-01-05  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * Added tests for matmul (and corrected the implementation)

2005-01-04  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * Expanded the documentation (it should now describe all
          public procedures)
        * Expanded the tests (not complete, but it should cover most
          more complicated procedures)
        * Expanded the set of procedures (only a few algorithms
          await implementation)

2005-01-03  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * Added modified Gram-Schmidt method to the linear algebra package

2004-12-06  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * Fixed bug in rungeKuttaStep (calculus.tcl) found by Mark Stucky.
          (Also moved the empty lines upward to better reflect the steps)

2004-11-25  Andreas Kupries <andreask@activestate.com>

        * linalg.man: Fixed a formatting bug in the file, found by a
          regular run of the SAK tool.

2004-11-25  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Added descriptions of various linear algebra procedures
        * Updated the code and expanded test cases

2004-11-22  Andreas Kupries <andreask@activestate.com>

        * rational_funcs.tcl: Removed bad source'ing of file
          polynomials.tcl. Depended on current working directory in the
          right place, and superfluous as well, as immediately after a
          'package require' of the package loaded it in the proper
          manner. Disabled the test code at the end as well.

2004-11-08  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Added preliminary versions of a linear algebra module
          (revision of Hume's LA). No documentation yet
        * Removed the initialisation of CDF (that was left in there)

2004-11-01  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Moved initialisation of CDF in statistics module to
          first call

2004-10-05  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.7 ========================
        *

2004-10-02  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Added preliminary documentation for the geometry module
        * Added procedure areaPolygon to the geometry module
        * Added Fourier transform module

2004-09-30  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * bignum.test: Boilerplate reading file under test.

2004-09-30  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Added a first set of test cases for the bignum module
        * Corrected the namespace for the bignum module

2004-09-29  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Added the bignum module by Salvatore Sanfilippo. No test cases yet

2004-09-23  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * pdf_stat.tcl: Braced expr'essions, removed duplicated error
          message.

        * constants.tcl (find_eps): Fixed expr'essions without braces.
        * statistics.tcl:

        * exponential.tcl (proc): Removes superfluous no-op [append].

2004-09-22  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * *.test: Made sure the test files check for version 2.1 of the
          tcltest package

        * *.tcl: Updated the package versions and consistently put the
          "package provide" statement at the end

        * interpolate.*: Added cubic splines as interpolation method

2004-09-17  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * bessel.tcl: Better implementation of Bessel functions of integer
          order.

2004-09-09  Andreas Kupries  <andreask@activestate.com>

        * calculus.man: Fixed problems in the calculus manpage introduced
          by the last commit done yesterday.

2004-09-08  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * calculus.tcl: added regula falsi method for finding roots

2004-07-19  Andreas Kupries  <andreask@activestate.com>

        * combinatorics.man: Polished minimally, name of manpage.

        * qcomplex.tcl: Polished minimally, changed package name
        * qcomplex.man: to math::complexnumbers.

2004-07-07  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * bessel,tcl:           Indentation adjusted to conform to
        * bessel.test:          the _Tcl Style Guide._  Errors
        * constants.test:       corrected in the documentation of
        * elliptic.tcl:         Romberg integration.
        * elliptic.text:
        * qcomplex.tcl:
        * romberg.man:
        * special.test:

2004-07-05  Kevin Kenny  <kennykb@acm.org>

        * calculus.man:                 Added Romberg integration to
        * romberg.man:                  the library.  The procedures should
        * calculus.tcl (romberg*):      provide a "production quality"
        * calculus.test (romberg-*):    library for integrating functions
        * math.tcl:                     of one variable, including functions
        * misc.tcl (expectInteger):     that have integrable singularities
                                        and integrals over half-infinite
                                        intervals.
        * constants.tcl:  Changes so that constants get defined in the
        * constants.test: correct namespace. Changed tests so that they
        * elliptic.test:  don't fail when other tests have already run.
        * special.tcl:    Changed the definition of Gamma to the correct
        * special.test:   one.
        Also added copyright notices and CVS IDs in several files that
        lacked them, and corrected indentation in several files.

2004-06-19  Kevin Kenny  <kennykb@acm.org>

        * interpolate.man:  Added polynomial interpolation with Neville's
        * interpolate.tcl:  algorithm; this procedure will be needed in
        * interpolate.test: Romberg integration, which is the next project.

2004-06-18  Kevin Kenny  <kennykb@acm.org>

        * bessel.test:        Fixed several problems that were causing tests
        * combinatorics.test: to fail or to run noisily. Corrected inconsistent
        * interpolate.tcl:    package version number in interpolate.tcl.
        * interpolate.test:
        * qcomplex.test:

        * optimize.man:   Added min_bound_1d and min_unbound_1d functions
        * optimize.tcl:   to do one-dimensional function minimization,
        * optimize.test:  constrained and unconstrained, respectively,
                          without derivatives.

2004-06-16  Andreas Kupries  <andreask@activestate.com>

        * interpolate.man: Added a missing list_end before section
          examples. Fixed usage of braces in the example as well.

2004-06-16  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * added the modules complexnumbers, special, interpolate, constants

2004-05-23  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.6.1 ========================
        *

2004-02-15  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.6 ========================
        *

2004-02-09  Jeff Hobbs  <jeffh@ActiveState.com>

        * combinatorics.tcl (::math::factorial): correct fac 171
        off-by-one and use of -strict in string is int|double.

2003-12-22  Joe English  <jenglish@users.sourceforge.net>
        * calculus.man (rungeKuttaStep): Add missing argument
        in function synopsis (bug report from Richard Body).

2003-10-29  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * statistics.tcl (BasicStat): Applied fix for [SF Tcllib Bug
          820807]. Uniform data may cause a small negative value when
          computing the base value for a standard deviation, instead of
          the correct 0.0. The fix now enforces 0.0 when encountering this
          situation. This entry in the ChangeLog by Andreas Kupries.

2003-05-05  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tcllib 1.4 ========================
        *

2003-04-24  Andreas Kupries  <andreask@activestate.com>

        * pkgIndex.tcl: Found math::optimize missing in index.
        * optimize.man: Version number inconsistent with code,
          corrected.

        * calculus.test: Converted [puts] into log statements, and
          suppress them by default. Reduces the noise when running the
          testsuite.

        * math.test:          Added output listing the version of the
        * statistics.test:    package we are testing.
        * calculus.test:
        * geometry.test:
        * combinatorics.test:
        * optimize.test:

2003-04-24  Arjen Markus <arjenmarkus@users.sourceforge.net>

        * liststat.tcl: Corrected the handling of the expression in the
          list manipulation procedures. This solves the scope problem (bug
          725231). AK: Lifted from the 'cvs log'. This passes the testsuite.

2003-04-23  Andreas Kupries  <andreask@activestate.com>

        * fuzzy.test: Re-applied bug fixes I did before (See 2003-04-13)
          to the newly committed version, which was not merged, but simply
          overwrote my changes.

2003-04-21  Andreas Kupries  <andreask@activestate.com>

        * optimize.test: Corrected errors in loading the functionality
          under test, and of accessing tcltest. Now functional.

2003-04-18  Joe English  <jenglish@flightlab.com

        * optimize.man: fix minor markup errors that doctools and tmml
          were complaining about.

2003-04-16  Andreas Kupries  <andreask@activestate.com>

        * pkgIndex.tcl: Added math::statistics after yesterday's commit by
          Arjen Markus.

        * statistics.test: Changed to conform to standard of importing
          tcltest, changed import of tested functionality, added checks
          that actually tcltest 1.2 or higher is used (Aborting if not).

        * statistics.tcl:
        * liststat.tcl
        * pdf_stat.tcl:
        * plotstat.tcl: Reformatted a bit to be more near to the
          style-guide with regard to indentation.

2003-04-13  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * pkgIndex.tcl:
        * fuzzy.tcl: Committed new code (see #535216), this also updates
          the package to version 0.2

        * fuzzy.man:
        * fuzzy.test: New files for fuzzy comparisons, documentation and
          testsuite. Fixed some bugs in them. NOTE: There are failures in
          the testsuite.

2003-04-11  Andreas Kupries  <andreask@activestate.com>

        * combinatorics.man:
        * math.man:
        * math.tcl:
        * pkgIndex.tcl:  Set version of the package to to 1.2.2.

2003-01-16  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * combinatorics.man: More semantic markup, less visual one.
        * calculus.man:

2002-06-03  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * pkgIndex.tcl: updated calculus to version 0.5.
        * calculus.man: Added [require] declarations.

        * calculus.README:
        * calculus.CHANGES:
        * calculus.tcl:
        * calculus.test:
        * calculus.man: Applied changes for #553773 on behalf of Arjen
          Markus <arjenmarkus@users.sourceforge.net>.

2002-05-08  Don Porter <dgp@users.sourceforge.net>

        * calculus.test: Corrected testing problems by namespace-ifying
        the file.

2002-04-15  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * combinatorics.man: Added doctools manpage.
        * math.man: Added doctools manpage.

2002-03-25  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * calculus.man: Fixed formatting errors in the doctools manpage.

2002-02-15  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * Update of calculus. #528434

        * calculus.man: New file, calculus documentation in doctools format.
        * calculus.test: New file, beginnings of testsuite

        * calculus.CHANGES:
        * calculus.README:
        * calculus.tcl:
        * pkgIndex.tcl: updated to calculus 0.3

2002-02-14  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * combinatorics.tcl
        * geometry.tcl (proc): Frink run

        * math::geometry: Version is now 1.0.1 to distinguish this from
          the code in tcllib release 1.2

        * math: Version is now 1.2.1 to distinguish this from
          the code in tcllib release 1.2

2002-01-18  Don Porter <dgp@users.sourceforge.net>

        * math.tcl: [namespace export Beta] got out of sync with the
        command name.
        * misc.tcl: removed [package provide math]; duplicated in
        math.tcl, a sync problem waiting to happen.

2002-01-18  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * Bumped version to 1.2.

2002-01-18  Andreas Kupries <andreas_kupries@users.sourceforge.net>

        * Added calculus functionality and fuzzy FP comparison as provided
          by Arjen Markus <arjen.markus@wldelft.nl> as is. This code
          currently has neither true testsuite nor good documentation but
          was considered important enough to get in now. Polish has to
          come in the subsequent patch releases.

2002-01-11  Kevin Kenny  <kennykb@users.sourceforge.net>

        * combinatorics.tcl: Removed incorrect 'package provide'.

2002-01-11  Kevin Kenny  <kennykb@users.sourceforge.net>

        * math.tcl:
        * misc.tcl:
        * pkgIndex.tcl:
        * tclIndex: Reorganized so that math.tcl is a top-level 'package
        provide' script and loads a tclIndex.  The code from 'math.tcl'
        moves into 'misc.tcl'.
        * combinatorics.n:
        * combinatorics.tcl:
        * combinatorics.test: Added a 'combinatorics' module containing
        the Gamma function and several related functions (factorial,
        binomial coefficient, and Beta). (Feature request #484850).

2001-06-21  Andreas Kupries <andreas_kupries@users.sourceforge.net>

        * math.tcl: Fixed dubious code reported by frink.

2000-10-06  Eric Melski  <ericm@ajubasolutions.com>

        * math.test:
        * math.n:
        * math.tcl: Added ::math::fibonacci function, to compute numbers
        in the Fibonacci sequence.

2000-09-08  Eric Melski  <ericm@ajubasolutions.com>

        * math.test:
        * math.n:
        * math.tcl: Added ::math::random function.

        * pkgIndex.tcl: Bumped version number to 1.1.

2000-06-15  Eric Melski  <ericm@scriptics.com>

        * math.n:
        * math.test:
        * math.tcl: Incorporated sigma, cov, stats, integrate functions
        (from Philip Ehrens <pehrens@ligo.caltech.edu>). [RFE: 5060]

2000-03-27  Eric Melski  <ericm@scriptics.com>

        * math.n:
        * math.test:
        * math.tcl: Added sum, mean, and product functions (from Philip
        Ehrens <pehrens@ligo.caltech.edu>).

2000-03-09  Eric Melski  <ericm@scriptics.com>

        * math.test: Adapted tests for use in/out of tcllib test framework.

2000-03-07  Eric Melski  <ericm@scriptics.com>

        * pkgIndex.tcl:
        * math.tcl:
        * math.test:
        * math.n: Initial versions of files for math library.
